Security API Reference
API Reference/Security

Security

For authentication instructions, see API overview.

get

List all security policies

Returns a list of security policies. The security policies are returned in sorted order, with the most recent appearing first.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

  • orderstring

    The order of the records

  • sortBystring

    The sort of the records

  • fieldsstring

    The filter of the records

  • pstring

    policyFilters

  • qstring

    search query

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/security_policies

Response

No response schema
post

Create security policies

Create security policies. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • namestring
  • activeboolean
  • validFromstring
  • validTostring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/security_policies \
-d 'name="policy1"' \
-d 'active=true' \
-d 'validFrom="2023-04-19"' \
-d 'validTo="2023-04-19"'

Response

No response schema
get

Retrieve security policies

Returns a single security policie, which you can request by passing through an id in the url.

Path parameters

  • idstring

    ID of the security policy

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/security_policies/:id

Response

No response schema
put

Update security policies

Path parameters

  • idstring

    ID of the security policy

Request body

  • namestring
  • activeboolean
  • validFromstring
  • validTostring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/security_policies/:id \
-d 'name="policy1"' \
-d 'active=true' \
-d 'validFrom="2023-04-19"' \
-d 'validTo="2023-04-19"'

Response

No response schema
patch

Update security policies soft

Update security policies soft by setting the values of the parameters passed. Any parameters not set will be unchanged.

Path parameters

  • idstring

    ID of the security policy

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/security_policies/:id

Response

No response schema
delete

Delete security policies

Path parameters

  • idstring

    ID of the security policy

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/security_policies/:id

Response

No response schema